package com.house365.service;

import com.house365.beans.vo.User;
import com.house365.common.searchBeans.CommonSearchResponse;
import com.house365.common.searchBeans.QueryParams;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Date: 2016/12/25</p>
 *
 * @author XN
 * @version 1.0
 */
public interface IUserService {

    CommonSearchResponse<User> queryByPage(
        QueryParams queryParams
    );

    User selectByPrimaryKey(Integer id);

    int save(User department);

    int updateByPrimaryKey(User record);

    int deleteByPrimaryKey(Integer id);

    int nextId(String companyId);

    User selectByCompanyIdAndUserId(String companyId, String companyUserId);
}
